org.fife.ui.rsyntaxtextarea

## Class SelectRegionLinkGeneratorResult

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.SelectRegionLinkGeneratorResult

All Implemented Interfaces:
  LinkGeneratorResult

    public class SelectRegionLinkGeneratorResult
    extends Object
    implements LinkGeneratorResult

A link generator result that selects a region of text in the text area. This will typically be used by IDE-style applications, to provide support for "linking" the use of a variable in a document to its declaration.

Version:
  1.0
Author:
  Robert Futrell
See Also:
  `LinkGenerator`

### Constructor Summary

Constructors
Constructor and Description
`SelectRegionLinkGeneratorResult(RSyntaxTextArea textArea, int sourceOffset, int selStart, int selEnd)`

### Method Summary

Methods
`HyperlinkEvent` `execute()` Selects the text in the text area.
`int` `getSourceOffset()` Returns the starting offset of the link specified by the parent `LinkGenerator`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SelectRegionLinkGeneratorResult

    public SelectRegionLinkGeneratorResult(RSyntaxTextArea textArea,
                                   int sourceOffset,
                                   int selStart,
                                   int selEnd)

### Method Detail

#### execute

    public HyperlinkEvent execute()

Selects the text in the text area.

Specified by:
  `execute` in interface `LinkGeneratorResult`
Returns:
  The hyperlink event to broadcast from the text area, or `null` if the action's behavior occurs in this method directly.

#### getSourceOffset

    public int getSourceOffset()

Returns the starting offset of the link specified by the parent `LinkGenerator`.

Specified by:
  `getSourceOffset` in interface `LinkGeneratorResult`
Returns:
  The offset.